Skip to main content

Retrieve messages

You can retrieve messages exchanged with a candidate using the API.

Request

GET /company/{companyID}/applicant/{applicantID}/messages?fields=author,replied,mail,attachments,candidate

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIDpathstring
✔️
Company identifier0GjqBwprWAdArDl4
applicantIDpathstring
✔️
Candidate idV41QG9eja5pK6Xev
fieldsquerystringFields to display, separated by a commaauthor,replied,mail,attachments,candidate

Request example

cURL request
curl -X GET 'https://api.flatchr.io/company/0GjNBwprWAdZrDl4/applicant/V41QG8eja5pK6XeV/messages?fields=author,replied,mail,attachments,candidate'
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'

Response

NameTypeDescription
idintegerMessage identifier
created_byintegerMessage author identifier
created_attimestampMessage creation date
autobooleanWhether the message was an automated message
mailmailMail object
deliveredbooleanWhether the message was delivered
delivered_attimestampMail delivery date
authorauthorMessage author
candidatecandidateThe candidate concerned (only name and email fields are returned)
attachmentsattachmentsMail attachments

Response example

[
{
"id": "oLm7NdD0j7dNGbZQ",
"created_by": 391,
"created_at": "2022-02-16T09:32:07.381Z",
"auto": false,
"mail": {
"subject": "Phone interview proposal",
"text": "Hello Alexandre,\n\nI am following up on your application for the Network Administrator position. Are you available in the coming days for a first phone interview (15 minutes)?\n\nBest regards,",
"html": "<p>Hello Alexandre,</p><p>I am following up on your application for the Network Administrator position. Are you available in the coming days for a first phone interview (15 minutes)?</p><p>Best regards,</p>",
"status": null
},
"delivered": false,
"deliver_at": "2022-02-16T10:34:56.000Z",
"author": {
"firstname": "XXXX",
"lastname": "XXXX"
},
"candidate": {
"firstname": "XXXX",
"lastname": "XXXX",
"email": "XXXX@gmail.com"
},
"attachments": []
}
]